From bd8a24e945a26dbae418680d570d33dced910088 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Elan=20Ruusam=C3=A4e?= <glen@delfi.ee>
Date: Sun, 24 Mar 2013 19:38:56 +0200
Subject: [PATCH] add basic pld linux support

PLD Linux Distribution: https://www.pld-linux.org/
---
 plugins/guests/linux/guest.rb |  1 +
 plugins/guests/pld/guest.rb   | 13 +++++++++++++
 plugins/guests/pld/plugin.rb  | 15 +++++++++++++++
 3 files changed, 29 insertions(+)
 create mode 100644 plugins/guests/pld/guest.rb
 create mode 100644 plugins/guests/pld/plugin.rb

diff --git a/plugins/guests/linux/guest.rb b/plugins/guests/linux/guest.rb
index 7c0d8b1..7f640ab 100644
--- a/plugins/guests/linux/guest.rb
+++ b/plugins/guests/linux/guest.rb
@@ -29,6 +29,7 @@ def distro_dispatch
           return :fedora if comm.test("grep 'Fedora release 1[678]' /etc/redhat-release")
           return :redhat if comm.test("cat /etc/redhat-release")
           return :suse if comm.test("cat /etc/SuSE-release")
+          return :pld if comm.test("cat /etc/pld-release")
           return :arch if comm.test("cat /etc/arch-release")
           return :solaris if comm.test("grep 'Solaris' /etc/release")
         end
diff --git a/plugins/guests/pld/guest.rb b/plugins/guests/pld/guest.rb
new file mode 100644
index 0000000..b183102
--- /dev/null
+++ b/plugins/guests/pld/guest.rb
@@ -0,0 +1,13 @@
+require "vagrant"
+
+require Vagrant.source_root.join("plugins/guests/redhat/guest")
+
+module VagrantPlugins
+  module GuestPld
+    class Guest < VagrantPlugins::GuestRedHat::Guest
+      def network_scripts_dir
+        '/etc/sysconfig/interfaces/'
+      end
+    end
+  end
+end
diff --git a/plugins/guests/pld/plugin.rb b/plugins/guests/pld/plugin.rb
new file mode 100644
index 0000000..b072ed9
--- /dev/null
+++ b/plugins/guests/pld/plugin.rb
@@ -0,0 +1,15 @@
+require "vagrant"
+
+module VagrantPlugins
+  module GuestPld
+    class Plugin < Vagrant.plugin("2")
+      name "PLD Linux guest"
+      description "PLD Linux guest support."
+
+      guest("pld") do
+        require File.expand_path("../guest", __FILE__)
+        Guest
+      end
+    end
+  end
+end
-- 
1.8.1.5

